#!/bin/bash
# changing to zsh

exists=$(cat /etc/shells | grep zsh)

if [[ -z "$exists" ]] ; then
    echo "Please install zsh!"
    exit 1
fi

if [[ "$SHELL" != "/bin/zsh" ]] ; then
    chsh -s /bin/zsh 
fi

if [ ! -e "$HOME/.oh-my-zsh/oh-my-zsh.sh" ]; then
	echo "Installing oh-my-zsh"
	/bin/zsh -c "$(curl -fsSL https://raw.githubusercontent.com/robbyrussell/oh-my-zsh/master/tools/install.sh)"
fi

